package common.dimension;

import java.util.Set;

import common.collect.Sets;

public final class Domain extends Nameable implements Comparable<Domain> {
	public final String id;
	private final Set<Area> areas = Sets.newTreeSet();
	
	public Domain(String id) {
		this.id = id;
	}
	
	public void addArea(Area area) {
		this.areas.add(area);
	}
	
	public int compareTo(Domain other) {
		return other == null ? -1 : this.id.compareTo(other.id);
	}
    
	protected String getNameIdentifier() {
		return "%s";
	}
	
	protected String getIdentifier() {
		return this.id;
	}
}
